#pragma once

#include <BWAPI.h>

using namespace BWAPI;

class CUnit;

class QueueEntry
{
public:
	QueueEntry();
	QueueEntry(BWAPI::TechType tech, bool inProgress, float score);
	QueueEntry(BWAPI::UnitType unit, bool inProgress, float score);
	QueueEntry(BWAPI::UpgradeType upgrade, bool inProgress, float score);

	BWAPI::TechType tech;
	BWAPI::UnitType unit;
	BWAPI::UpgradeType upgrade;
	bool inProgress;
	bool isTech();
	bool isUnit();
	bool isUpgrade();
	double score;
};